Subject: [Q] gdb on ARM Linux

From: "Huh, Woojung" <[email-masked]>
Date: Tue, 18 Jul 2000 10:03:33 -0400

Hi,

I'm trying to use gdb on ARM linux (2.4.0-test2-ac1-rmk2-np3)
I am able to run "gdb" itself and execute some internal commands.
But when I tried to load application with "file" command or execute "gdb
xxx".
Then gdb displays "gdb: error in loading shared libraries: gdb: undefined
symbol: __umodsi3" as follows.
I'm using original ramdisk_img.gz
Is there anyone who used gdb ?

Thanks, 

[root@Linux /root]$gdb
GNU gdb 19991011
Copyright 1998 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain
conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "armv4l-redhat-linux".
(gdb)
(gdb)
(gdb)
(gdb) file a
gdb: error in loading shared libraries: gdb: undefined symbol: __umodsi3

Woojung Huh

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]
++        Please use [email-masked] for           ++
++                        kernel-related discussions.                      ++